org.eclipse.gef.zest.fx.parts

## Class ZestFxContentPartFactory

- java.lang.Object
- - org.eclipse.gef.zest.fx.parts.ZestFxContentPartFactory

All Implemented Interfaces:
  IContentPartFactory

    public class ZestFxContentPartFactory
    extends Object
    implements IContentPartFactory

The `ZestFxContentPartFactory` is a `Graph`-specific `IContentPartFactory`. It creates `GraphPart`s, `NodePart`s, and `EdgePart`s for the corresponding `Graph`s, `Node`s, and `Edge`s.

### Constructor Summary

Constructors
Constructor and Description
`ZestFxContentPartFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IContentPart<? extends Node>` `createContentPart(Object content, Map<Object,Object> contextMap)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ZestFxContentPartFactory

    public ZestFxContentPartFactory()

### Method Detail

#### createContentPart

    public IContentPart<? extends Node> createContentPart(Object content,
                                                          Map<Object,Object> contextMap)

Specified by:
  `createContentPart` in interface `IContentPartFactory`